
D4Science Infrastructure - Task #11409

Upgrade mapping-d-parthenos.d4science.org to the latest smartgears distribution

Mar 08, 2018 05:46 PM - Roberto Cirillo

Status: Closed Start date: Mar 08, 2018

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Upgrade document-store-lib-couchbase

to 1.5.0

  

Infrastructure: Production   

Description

This node is configured as dnet node. I guess we haven't a dev instance for this service.

If possible the smartgears distribution should be upgraded to the latest distribution version.

Related issues:

Related to D4Science Infrastructure - Task #11377: Upgrade nodes with distrib... Closed Mar 07, 2018

History

#1 - Mar 08, 2018 05:58 PM - Roberto Cirillo

- Related to Task #11377: Upgrade nodes with distribution version lower than 2.1.3-4.8.0 added

#2 - Mar 08, 2018 06:11 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

This node is configured as dnet node. I guess we haven't a dev instance for this service. 

 No, we do not have a dev instance because, as you can deduce from the hostname, that instance should have been the dev one. But we had to put it

in production without any notice, so here we are.

If possible the smartgears distribution should be upgraded to the latest distribution version.

 I'll check next week.

#3 - Mar 13, 2018 01:46 PM - Andrea Dell'Amico

As I suspected, smartgears was manually installed and never touched after that. I can try and merge the smartgears playbook into the one I used to

configure the other services but the risk to broke everything for more than a couple of minutes is high. We should ask the permission to schedule 2/3

hours of downtime.

#4 - Mar 13, 2018 02:41 PM - Roberto Cirillo

Alternatively, we could try to upgrade only the accounting framework manually and perform the completed upgrade in the next downtime planned for

5th April.

#5 - Mar 13, 2018 02:51 PM - Andrea Dell'Amico

If you can, it's OK by me. That distribution is quite old I see, but it runs against Java 8.

#6 - Mar 13, 2018 03:06 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#7 - Mar 13, 2018 03:25 PM - Roberto Cirillo

- Status changed from New to In Progress

#8 - Mar 13, 2018 04:16 PM - Roberto Cirillo

- % Done changed from 0 to 90

I've upgraded the accounting framework replacing the following accounting libs:
accounting-lib

document-store-lib

document-store-lib-couchbase

 with the following ones:

accounting-lib

document-store-lib

document-store-lib-accounting-service

 In addition, I have added the following dependencies:

jackson-annotations-2.6.0.jar   

jackson-core-2.6.0.jar          

jackson-core-asl-1.9.13.jar     

jackson-databind-2.6.0.jar      

jackson-mapper-asl-1.9.13.jar

 The service seems to be working fine now. Now I'm going to check if the new accounting framework send the records properly.

#9 - Mar 13, 2018 04:50 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The accounting framework works properly.
